using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models.Entities {
    [Table("AT_ort"), PrimaryKey("Okz")]
    public class AT_Ort {
        [Column("okz")]
        public int Okz { get; private set; }

        [Column("gkz")]
        public int Gkz { get; private set; }

        [Column("kgnr")]
        public int? KgNr { get; private set; }

        [Column("name")]
        public string Name { get; private set; } = null!;

        [ForeignKey("Gkz")]
        public virtual AT_Gem Gem { get; private set; } = null!;

        [ForeignKey("KgNr")]
        public virtual AT_Kg? Kg { get; private set; }
    }
}
